curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}/upload \
--header 'Authorization: <api-key>' \
--header 'Content-Disposition: <content-disposition>' \
--header 'Content-Type: application/octet-stream' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}/upload"
payload = {}
headers = {
"Content-Disposition": "<content-disposition>",
"Authorization": "<api-key>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Content-Disposition': '<content-disposition>',
Authorization: '<api-key>',
'Content-Type': 'application/octet-stream'
},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdTermsCount": 123,
"langs": [
"<string>"
],
"updatedTermsCount": 123
}Upload glossary
This API endpoint is still limited access, and only available to customers on the Enterprise plans on request. Please contact support or your customer success manager if you are interested.
Glossaries can be imported from XLS/XLSX and TBX file formats.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Headers
must match pattern ((inline|attachment); )?filename\*=UTF-8''(.+)
Path Parameters
Unique identifier of the glossary
Query Parameters
When true, only terms whose languages exactly match the glossary languages are imported; when false, languages are matched leniently.
When true, existing terms are updated from the imported file.
Body
The body is of type object.
Was this page helpful?